#include <awali/sttc/algos/are-equivalent.hh>
#include <awali/dyn/bridge-sttc/explicit-automaton.cc>

#include<set-types.hh>

namespace awali {


  extern "C" bool are_equivalent (dyn::automaton_t aut, dyn::automaton_t aut2)
  {
    auto a= dyn::get_stc_automaton<context1_t>(aut);
    auto a2= dyn::get_stc_automaton<context2_t>(aut2);
    return sttc::are_equivalent(a, a2);
  }

}//end of ns awali

#include <awali/dyn/core/any.cc>
