#include<string>
#include <awali/sttc/labelset/traits.hh>
#include <awali/sttc/algos/partial-identity.hh>
#include <awali/dyn/bridge-sttc/explicit-automaton.cc>
#include <awali/sttc/algos/copy.hh>

#include<set-types.hh>

/*This function should not be called with transducers */

namespace awali {

  extern "C" dyn::automaton_t partial_identity(dyn::automaton_t aut) {
    auto a = dyn::get_stc_automaton<context_t>(aut);
    using new_context_t = sttc::nullable_of<context_t>;
    auto tmp = sttc::make_mutable_automaton<new_context_t>(sttc::get_nullable_context(a->context()));
    sttc::copy_into(a,tmp);
    return dyn::make_automaton(sttc::partial_identity<2>(tmp));
  }

}

#include <awali/dyn/core/any.cc>
