#include <awali/sttc/algos/transpose.hh>
#include <awali/dyn/bridge-sttc/explicit-automaton.cc>

#include<set-types.hh>

namespace awali {

  extern "C" dyn::automaton_t transpose(dyn::automaton_t aut) {
      auto a= dyn::get_stc_automaton<context_t>(aut);
      return dyn::make_automaton(sttc::transpose(a));
  }

  extern "C" void transpose_here(dyn::automaton_t aut) {
      auto a= dyn::get_stc_automaton<context_t>(aut);
      sttc::transpose_here(a);
  }

}

#include <awali/dyn/core/any.cc>
