#include <awali/dyn/core/abstract-ratexp.hh>

namespace awali { namespace dyn {

  ratexp_t
  operator+ (dyn::ratexp_t e1, dyn::ratexp_t e2)
  {
    return e1->add(e2);
  }


  ratexp_t
  operator* (dyn::ratexp_t e1, dyn::ratexp_t e2)
  {
    return e1->mult(e2);
  }


  std::ostream&
  operator<< (std::ostream& o, ratexp_t e)
  {
    return e->print(o);
  }


}}//end of ns awali::dyn
