#ifndef DYN_UNTYPED_VALUE_HH
#define DYN_UNTYPED_VALUE_HH

namespace awali { namespace dyn {
  struct any_t;

  namespace internal {
    struct untyped_value{
      untyped_value() {}
      untyped_value(const untyped_value&) {}
      virtual ~untyped_value(){}
      virtual untyped_value* clone() const = 0;
      virtual std::ostream& output(std::ostream& o) const = 0;
      virtual bool less(const untyped_value& uv) const = 0;
      virtual bool equal(const untyped_value& uv) const = 0;
      virtual std::ostream& real_type_name(std::ostream& o) const = 0;
    };
  }//end of ns internal
}}//end of ns awali::dyn

#endif //DYN_UNTYPED_VALUE_HH
