#ifndef AWALI_MAKEDIR_HH
#define AWALI_MAKEDIR_HH

#include<string>
#include<vector>

namespace awali { namespace dyn {

  namespace loading {
    std::vector<std::string> get_lib_directory();
    std::vector<std::string> get_dynlib_directory();
    std::vector<std::string> get_share_directory();
    std::vector<std::string> get_include_directory();
    std::vector<std::string> get_compilation_directory(std::string lname);
//     std::string get_source_directory();
//     std::string get_awali_directory();
    std::vector<std::string> get_dyn_config_hh_directory();
    int make_awali_dir();

    struct file_loc_t {
      std::string dir;
      std::string name;
      std::string ext;
      std::string desc;
    };

    std::vector<file_loc_t> example_automata();
  }

}}//end of ns awali::dyn

#endif
