#ifndef DYN_MODULES_SINGLEPRODUCT_CC
#define DYN_MODULES_SINGLEPRODUCT_CC

#include <unordered_map>
#include <awali/dyn/core/automaton.hh>
#include <awali/dyn/loading/handler.hh>

#include <awali/dyn/modules/singleproduct.hh>

namespace awali { namespace dyn {

  automaton_t power(automaton_t aut, unsigned n) {
    return loading::call2<automaton_t, unsigned, &power>("power", "singleproduct", aut, n);
  }

}}//end of ns awali::dyn

#endif
