#include <awali/sttc/algos/compose.hh>
#include <awali/dyn/bridge-sttc/explicit-automaton.cc>

#include<set-types.hh>
namespace awali {

extern "C" dyn::automaton_t compose(dyn::automaton_t tdc1, dyn::automaton_t tdc2) {
  auto t1 = dyn::get_stc_automaton<context1_t>(tdc1);
  auto t2 = dyn::get_stc_automaton<context2_t>(tdc2);
  return dyn::make_automaton(sttc::compose(t1,t2));
}

}

#include <awali/dyn/core/any.cc>
