#ifndef DYN_FACTOR_HH
#define DYN_FACTOR_HH

#include <awali/dyn/core/automaton.hh>

#include <awali/dyn/loading/handler.hh>

#include <awali/dyn/modules/factor.hh>

namespace awali { namespace dyn {

  void prefix_here(automaton_t aut) {
    loading::call<void, &prefix_here>("prefix_here", "factor",aut);
  }

  automaton_t prefix(automaton_t aut) {
    return loading::call<automaton_t, &prefix>("prefix", "factor",aut);
  }

  void suffix_here(automaton_t aut) {
    loading::call<void, &suffix_here>("suffix_here", "factor",aut);
  }

  automaton_t suffix(automaton_t aut) {
    return loading::call<automaton_t, &suffix>("suffix", "factor",aut);
  }

  void factor_here(automaton_t aut) {
    loading::call<void, &factor_here>("factor_here", "factor",aut);
  }

  automaton_t factor(automaton_t aut) {
    return loading::call<automaton_t, &factor>("factor", "factor",aut);
  }

}}//end of ns awali::dyn

#endif
