#include <awali/dyn.hh>
#include<cassert>

using namespace awali::dyn;

int main() {
  ratexp_t e=make_ratexp("\\e+(\\e+a)((b+aa)a)*(ab*+b+aa)");
  automaton_t b= derived_term(e);
  assert(b -> num_states() == 7);
  b= derived_term(e, true);
  assert(b -> num_states() == 6);
  auto terms = derivation(e,'a');
  assert(terms.size() == 4);
  terms = derivation(e,'a',true);
  assert(terms.size() == 4);
}
